### File

`packages/components/layout/eui-app/eui-app-side-container/side-container.component.ts`

### Implements

`OnInit` `OnChanges` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-side-container`
imports | `NgTemplateOutlet` `EUI_OVERLAY` `EuiResizableDirective`
templateUrl | `./side-container.component.html`
styleUrl | `./side-container.scss`

### Index

###### Properties
asService
###### Inputs
isActive isOverlayActive
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isActive
Type : `boolean`
Default value : `false`

isOverlayActive
Type : `boolean`
Default value : `false`

### HostBindings

class
Type : `string`

### Properties

asService
Type : `unknown`
Default value : `inject(EuiAppShellService, { optional: true })!`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""